"
I model the territories (mostly countries) mentioned in the Panama Papers.
"
Class {
	#name : #Territory,
	#superclass : #Object,
	#instVars : [
		'name',
		'map',
		'altname',
		'totalOffshores',
		'iso'
	],
	#category : #'Dataviz-PanamaPapers'
}

{ #category : #accessing }
Territory >> altname [
	^ altname
]

{ #category : #accessing }
Territory >> altname: anObject [
	altname := anObject
]

{ #category : #accessing }
Territory >> iso [
	"I return the two letters ISO code for a country/territory"
	^ iso
]

{ #category : #accessing }
Territory >> iso: anObject [
	iso := anObject
]

{ #category : #accessing }
Territory >> map [
	^ map
]

{ #category : #accessing }
Territory >> map: anObject [
	map := anObject
]

{ #category : #accessing }
Territory >> name [
	^ name
]

{ #category : #accessing }
Territory >> name: anObject [
	name := anObject
]

{ #category : #accessing }
Territory >> totalOffshores [
	^ totalOffshores
]

{ #category : #accessing }
Territory >> totalOffshores: anObject [
	totalOffshores := anObject
]
