"
I represent the interactions of a particular twitter profile with other
profiles.
I'm used for TwitterProfileOverview visualizations. 
"
Class {
	#name : #TwitterInteractionProfile,
	#superclass : #Object,
	#instVars : [
		'screenName',
		'avatar',
		'tweets',
		'retweets'
	],
	#category : #'Dataviz-Twitter'
}

{ #category : #accessing }
TwitterInteractionProfile >> avatar [
	^ avatar
]

{ #category : #accessing }
TwitterInteractionProfile >> avatar: anObject [
	avatar := anObject
]

{ #category : #accessing }
TwitterInteractionProfile >> retweets [
	^ retweets
]

{ #category : #accessing }
TwitterInteractionProfile >> retweets: anObject [
	retweets := anObject
]

{ #category : #accessing }
TwitterInteractionProfile >> screenName [
	^ screenName
]

{ #category : #accessing }
TwitterInteractionProfile >> screenName: anObject [
	screenName := anObject
]

{ #category : #accessing }
TwitterInteractionProfile >> tweets [
	^ tweets
]

{ #category : #accessing }
TwitterInteractionProfile >> tweets: anObject [
	tweets := anObject
]
